#!/usr/bin/perl -w
# Version 1.1 
# works on CIAO format region files for circular and 
# elliptical regions in physical coordinates 

print "ASCII region file (CIAO format): ";
$regionFile = <STDIN>;
chomp ($regionFile);

print "Multiply source radius by: ";
$radius = <STDIN>;
chomp ($radius);

print "Output filename: ";
$outfile = <STDIN>;
chomp ($outfile);

@regionList = ();
open (FILE, "<$regionFile") || die "can't open $regionFile"; 
@regionList = <FILE>;
close (FILE);

@bkgList = ();

# delete first line if it's a comment
if ($regionList[0] =~ s/#//) {
    shift (@regionList);
}

foreach $line (@regionList){
    chomp $line;
    @radVals = split(",", $line);
    $shape = $radVals[0];
# for circular regions 
    if ( $shape =~ s/circle// ) {
	($radVal = $radVals[2]) =~ s/\)//;
	$radNew = $radVal * $radius;
	$newline = join ",", $radVals[0],$radVals[1],"$radNew)\n";
	push @bkgList, $newline;
# assume it's ellipses otherwise
    } else {
	$radVal1 = $radVals[2];
	$radVal2 = $radVals[3];
	$radNew1 = $radVal1 * $radius;
	$radNew2 = $radVal2 * $radius;
	$newline = join ",", $radVals[0],$radVals[1],$radNew1,$radNew2,"$radVals[4]\n";
	push @bkgList, $newline;
    }
}

open (RFILE, ">$outfile");
print RFILE (@bkgList);
close (RFILE);

exit(0);
